Bug 5913 - System sounds in KDE don't work
System sounds in KDE don't work
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1999-10-13 14:21 EDT by tango
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-17 13:27:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tango 1999-10-13 14:21:12 EDT
If you try from kcontrol to set up sound for KDE events,
they are assigned but never played and can't even be played
with the "test" button. Sound works well with normal KDE
What I found was that in /usr/bin/startkde there's a piece
of code that check's if there's a sound card available:

. /etc/sysconfig/sound
if [ "$CARDTYPE" != "" ]; then
  sleep 1 ; kaudioserver
  (sleep 1 && exec kwmsound) &

In my system /etc/sysconfig/sound doesn't exist. The actual
name for this file is /etc/sysconfig/soundcard and this
prevents sound daemons from being started.
Comment 1 Preston Brown 2000-01-17 13:27:59 EST
fixed for next release.

Note You need to log in before you can comment on or make changes to this bug.